Bug 98292 - Automatically create a equation if libreoffice encounters MathML on Drag-and-Drop
Summary: Automatically create a equation if libreoffice encounters MathML on Drag-and-...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MathML
  Show dependency treegraph
 
Reported: 2016-03-01 06:46 UTC by Gunter Königsmann
Modified: 2021-07-15 03:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gunter Königsmann 2016-03-01 06:46:59 UTC
This weekend I have added a "copy as MathML" feature to wxMaxima, a graphical frontend for maxima, a computer algebra system and was surprised that it actually is useless: Lacking a good text editor I tried to paste the MathML version of an equation into MS word - and on encountering the line

<math xmlns="http://www.w3.org/1998/Math/MathML"><mtable>

as the first line of the text object on the clipboard it was automatically converted to a 2D formula.

Libreoffice nearly provides this feature, too. But currently in order to use it more steps are needed:
 - manually create a formula and
 - choose tools/import MathML from Clipboard.

...which isn't too bad, but less seamless than the other programme, especially as the feature is not too easy to find if one doesn't expect it to be somewhere => I would like see the autodetection and autoimport of MathML added to libreoffice, too and write this ticket.

Thanks a lot,
and keep up your good work,

   Gunter.
Comment 1 Regina Henschel 2016-03-01 21:47:43 UTC
I think, that a totally automatic converting is not good, but I would support a "paste special" e.g in a drop-down-list.

I have considered such feature, but it would have been more complicated. So I had decided to implement, what was possible with my skills. It has a .uno command, so as workaround, you can write a macro to do it in one step, insert a formula and then import the clipboard.
Comment 2 Gunter Königsmann 2016-03-02 11:42:24 UTC
I don't like the idea of needing more clicks than the other program for
the most probable action on encountering MathML. But I could live with that and it seems like MS shared your reservations against artificial intelligence that might hinder the user from doing the actual work:

Found out that they added two additional checks:

An equation is only created if
 - the clipboard contains a text-only object
 - this object begins with a mathML header (Word seems to be really picky on this line tom match the exact string word expects).
 - and the object is valid XML.

If an object passes these tests it still might raise an error while importing. But the probability is high that it was made by a program actually trying to export an equation for importing it in a text processor.

Thanks a lot
Kind regards,

   Gunter.
Comment 3 Gunter Königsmann 2016-08-13 08:13:34 UTC
I just have found https://blogs.msdn.microsoft.com/murrays/2013/05/27/mathml-on-the-windows-clipboard/: 
The clipboard can offer the data in several formats. MS Office looks if one of these formats claims to be "MathML Presentation" and if this is true it creates an equation => The next release of wxMaxima (which is due in a month or so) will offer equations as text and "MathML Presentation" as this looks like it could be a canonical way to do so. Don't know how hard this would be to add to libreOffice.
Comment 4 Gunter Königsmann 2016-08-13 08:14:54 UTC
I have just found out that the current version of LibreOffice already does do so => Thanks a lot! ...and let's find out if I have the rights to close this bug.
Comment 5 steve 2016-08-13 09:41:20 UTC
Since there is no specific commit fixing this issue, setting to WORKSFORME. FIXED is used only when a commit exists.

Feel free to reopen this issue if you still can reproduce this particular problem or if I did miss something peculiar.
Comment 6 Gunter Königsmann 2016-08-13 13:37:10 UTC
Good idea!

Unfortunately I have to admit that I interpreted the result of my drag-and-drop-test wrong: After copying an equation from wxMaxima to libreoffice the document contains an equation. But it contains this equation as a bitmap, not as an equation object => libreoffice didn't request the MathML from the clip board, but requested to render the equation as a bitmap instead => re-opening this feature request.
Comment 7 QA Administrators 2017-09-01 11:18:38 UTC Comment hidden (obsolete)
Comment 8 Regina Henschel 2017-09-03 11:40:59 UTC
The issue still exists in Version: 6.0.0.0.alpha0+
Build ID: f1a896c71c495bdef5861eb664581507b6b9b5bb
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-13_07:38:19
Locale: de-DE (de_DE); Calc: group

You can already use Tools > Import MathML from Clipboard if you have already inserted an Formula object. But the formula object is not generated automatically.
Comment 9 QA Administrators 2019-07-15 02:48:12 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2021-07-15 03:36:59 UTC
Dear Gunter Königsmann,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug